W: Failed to fetch http://ppa.launchpad.net/yani/iatsl/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

Asked by redhwan nasser on 2019-01-25

ubuntu14.04
I update system by : sudo apt-get update

the output :
....
...
Ign http://archive.ubuntu.com trusty/universe Translation-en_US
Fetched 3,669 B in 26s (139 B/s)
W: GPG error: https://download.01.org trusty InRelease: The following signatures were invalid: KEYEXPIRED 1519672047 KEYEXPIRED 1519672047 KEYEXPIRED 1519672047
W: Failed to fetch http://ppa.launchpad.net/yani/iatsl/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

W: Failed to fetch http://ppa.launchpad.net/yani/iatsl/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

after this I removed by : sudo add-apt-repository --remove ppa:yani/iatsl
 then, I update and output:
.....
....
Ign http://archive.ubuntu.com trusty/universe Translation-en_US
Fetched 6,449 kB in 28s (228 kB/s)
Reading package lists... Done
W: GPG error: https://download.01.org trusty InRelease: The following signatures were invalid: KEYEXPIRED 1519672047 KEYEXPIRED 1519672047 KEYEXPIRED 1519672047

I tried fix it by this link : https://serverfault.com/questions/7145/what-should-i-do-when-i-got-the-keyexpired-error-message-after-an-apt-get-update

the output:
...
...
gpg: key 75E52366: "Rodrigo Vivi (Intel Linux Graphics) <email address hidden>" not changed
gpg: Total number processed: 1
gpg: unchanged: 1

please help me

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu update-manager Edit question
Assignee:
No assignee Edit question
Last query:
2019-01-25
Last reply:
2019-01-26

http://ppa.launchpad.net/yani/iatsl/ubuntu/dists/

PPA only supports up to Raring and hasn't been updated in 5 years. It should be removed.

Not all PPAs support all releases.

Manfred Hampl (m-hampl) said : #2

For the keyexpired problem maybe https://01.org/comment/4144#comment-4144 helps

redhwan nasser (algabri) said : #4

thank you to all, Manfred, unfortunately, it not fix it

Manfred Hampl (m-hampl) said : #5

For diagnostic purposes please provide the full output that you receive for the following commands:

uname -a
lsb_release -crid
grep 01.org /etc/apt/sources.list /etc/apt/sources.list.d/*.list
sudo apt-get update
apt-key list | grep expired -C3

redhwan nasser (algabri) said : #6

 uname -a
Linux turtlebot-X200MA 3.16.0-77-generic #99~14.04.1-Ubuntu SMP Tue Jun 28 19:17:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 14.04.5 LTS
Release: 14.04
Codename: trusty

grep 01.org /etc/apt/sources.list /etc/apt/sources.list.d/*.list
/etc/apt/sources.list.d/intellinuxgraphics.list:deb https://download.01.org/gfx/ubuntu/14.04/main trusty main #Intel Graphics drivers

sudo apt-get update
...
...
Ign http://archive.ubuntu.com trusty/universe Translation-en_US
Fetched 6,449 kB in 30s (209 kB/s)
Reading package lists... Done
W: GPG error: https://download.01.org trusty InRelease: The following signatures were invalid: KEYEXPIRED 1519672047 KEYEXPIRED 1519672047 KEYEXPIRED 1519672047

apt-key list | grep expired -C3
uid ROS Builder <email address hidden>
sub 2048g/8F3611A0 2009-12-24

pub 2048R/75E52366 2013-02-27 [expired: 2018-02-26]
uid Rodrigo Vivi (Intel Linux Graphics) <email address hidden>

pub 4096R/2F4AAA66 2012-11-28 [expires: 2020-12-31]

Manfred Hampl (m-hampl) said : #7

Try the commands

wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-GROUP-KEY-ilg -O - | sudo apt-key add -
wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-KEY-ilg -O - | sudo apt-key add -
wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-KEY-ilg-2 -O - | sudo apt-key add -
wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-KEY-ilg-3 -O - | sudo apt-key add -
wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-KEY-ilg-4 -O - | sudo apt-key add -

If that does not help (and I guess it doesn't), then you most probably cannot do anything for the KEYEXPIRED 1519672047 warning.
It seems that the signature key has expired a year ago, and Intel has not renewed it.

The whole 01.org repository seems pretty dead. Look at https://download.01.org/gfx/ubuntu/ and you see that there is no software for the current Ubuntu releases any more.

And another comment: Ubuntu trusty (14.04) will be "End of life" in April. You should consider an upgrade to a supported Ubuntu release before that date. see https://wiki.ubuntu.com/Releases

Can you help with this problem?

Provide an answer of your own, or ask redhwan nasser for more information if necessary.

To post a message you must log in.